### Method

# Handy TabView transfer_page

since: 1.2

#### Declaration [src]

    void
    hdy_tab_view_transfer_page (
      HdyTabView* self,
      HdyTabPage* page,
      HdyTabView* other_view,
      gint position
    )

#### Description [src]

Transfers `page` from `self` to `other_view`.

The `page` object will be reused.

It’s a programmer error to try to insert a pinned page after a non-pinned one, or a non-pinned page before a pinned one.

Available since: 1.2

#### Parameters

`page`

  Type: `HdyTabPage`

  A page of `self`.

  The data is owned by the caller of the method.

`other_view`

  Type: `HdyTabView`

  The tab view to transfer the page to.

  The data is owned by the caller of the method.

`position`

  Type: `gint`

  The position to insert the page at, starting at 0.